# Class ConstantPoolException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
java.lang.classfile.constantpool.ConstantPoolException

All Implemented Interfaces:
  `Serializable`

public class ConstantPoolException extends IllegalArgumentException
Thrown to indicate that requested entry cannot be obtained from the constant pool or the bootstrap method table. This is also thrown when the lazy evaluation of constant pool or bootstrap method table entries encounter format errors.

Since:
  24
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ConstantPoolException()`
Constructs a `ConstantPoolException` with no detail message.
`ConstantPoolException(String message)`
Constructs a `ConstantPoolException` with the specified detail message.
`ConstantPoolException(String message, Throwable cause)`
Constructs a `ConstantPoolException` with the specified detail message and cause.
`ConstantPoolException(Throwable cause)`
Constructs a `ConstantPoolException` with the specified cause and a detail message of `cause == null ? null : cause.toString()`.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ConstantPoolException

public ConstantPoolException()
Constructs a `ConstantPoolException` with no detail message.

### ConstantPoolException

public ConstantPoolException(String message)
Constructs a `ConstantPoolException` with the specified detail message.

Parameters:
  `message` - the detail message, may be `null` for no detail message

### ConstantPoolException

public ConstantPoolException(Throwable cause)
Constructs a `ConstantPoolException` with the specified cause and a detail message of `cause == null ? null : cause.toString()`.

Parameters:
  `cause` - the cause, may be `null` for nonexistent or unknown cause

### ConstantPoolException

public ConstantPoolException(String message, Throwable cause)
Constructs a `ConstantPoolException` with the specified detail message and cause.

Parameters:
  `message` - the detail message, may be `null` for no detail message
  `cause` - the cause, may be `null` for nonexistent or unknown cause